Changeset 1148 for trunk


Ignore:
Timestamp:
May 5, 2015 9:33:21 AM (5 years ago)
Author:
stefan
Message:

fix check for HSL source: with upgrading to ThirdParty?/HSL >= 1.4, the check in configure.ac had to be updated; apparently, this was forgotten

Location:
trunk
Files:
21 edited

Legend:

Unmodified
Added
Removed
  • trunk/Couenne/Makefile.in

    r1139 r1148  
    162162COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    163163COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    164 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    165 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    166164COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    167165COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    168 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    169 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    170166COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    171167COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     
    334330coin_doxy_usedot = @coin_doxy_usedot@
    335331coin_have_doxygen = @coin_have_doxygen@
    336 coin_have_latex = @coin_have_latex@
    337332datadir = @datadir@
    338333exec_prefix = @exec_prefix@
     
    393388# Files that are generated and should be cleaned with make distclean
    394389DISTCLEANFILES = $(am__append_4) $(VPATH_DISTCLEANFILES)
    395 DocFiles = README AUTHORS LICENSE 
     390DocFiles = README AUTHORS LICENSE
    396391DocInstallDir = $(datadir)/coin/doc/$(PACKAGE_NAME)
    397 COIN_HAS_DOXYGEN = @COIN_HAS_DOXYGEN_TRUE@TRUE
    398 COIN_HAS_LATEX = @COIN_HAS_LATEX_TRUE@TRUE
    399392all: all-recursive
    400393
     
    889882        rm -f $(addlibsdir)/couenne_addlibs.txt
    890883
    891 doxygen-docs:
    892         if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
    893           if test -d "doxydoc/"; then \
    894             doxygen doxydoc/doxygen.conf;\
    895           fi;\
    896           if test -d "doxydoc/latex"; then \
    897             if test "$(COIN_HAS_LATEX)" = TRUE; then \
    898               cd doxydoc/latex;\
    899               $(MAKE) pdf;\
    900               cd -;\
    901             fi;\
    902           fi;\
    903         fi
    904 
    905 clean-doxygen-docs:
    906         if test -d "doxydoc/"; then \
    907           cd doxydoc ;\
    908           rm -rf html latex *.log *.tag;\
    909         fi
    910 
    911 install-doxygen-docs: doxygen-docs
    912         if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
    913           if test -d "doxydoc/"; then \
    914             $(INSTALL_DATA) @coin_doxy_tagname@ "$(DESTDIR)$(DocInstallDir)/@coin_doxy_tagname@";\
    915             test -d "$(DocInstallDir)/doxydoc" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc"; \
    916             if test -f "doxydoc/latex/refman.pdf"; then \
    917               $(INSTALL_DATA) doxydoc/latex/refman.pdf "$(DESTDIR)$(DocInstallDir)";\
    918             fi;\
    919             if test -d "doxydoc/html"; then \
    920               test -d "$(DocInstallDir)/doxydoc/search/" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc/search/"; \
    921               $(INSTALL_DATA) doxydoc/html/*.* "$(DESTDIR)$(DocInstallDir)/doxydoc";\
    922               $(INSTALL_DATA) doxydoc/html/search/*.* "$(DESTDIR)$(DocInstallDir)/doxydoc/search";\
    923             fi;\
    924           fi;\
    925         fi
    926 
    927 uninstall-doxygen-docs:
    928         if test -d "$(DESTDIR)$(DocInstallDir)/doxydoc/"; then \
    929           rm -rf "$(DESTDIR)$(DocInstallDir)/doxydoc/"; \
    930         fi
    931         if test -f "$(DESTDIR)$(DocInstallDir)/refman.pdf"; then \
    932           rm -f "$(DESTDIR)$(DocInstallDir)/refman.pdf"; \
    933         fi
    934 
    935 all-doxygen-docs:
    936         for dir in $(subdirs) ; do \
    937           do_project=true;\
    938           for proj in $(COIN_SKIP_DOXYGEN); do\
    939             if test $$dir = $$proj; then\
    940               do_project=false;\
    941             fi;\
    942           done;\
    943           if test -r $$dir/doxydoc & $$do_project = true; then \
    944             (cd $$dir ; $(MAKE) doxygen-docs) \
    945           fi ; \
    946         done ;
    947 
    948 clean-all-doxygen-docs:
    949         for dir in $(subdirs) ; do \
    950           if test -r $$dir/doxydoc ; then \
    951             (cd $$dir ; $(MAKE) clean-doxygen-docs) \
    952           fi ; \
    953         done ;
    954 
    955 install-all-doxygen-docs: all-doxygen-docs
    956         for dir in $(subdirs) ; do \
    957           do_project=true;\
    958           for proj in $(COIN_SKIP_DOXYGEN); do\
    959             if test $$dir = $$proj; then\
    960               do_project=false;\
    961             fi;\
    962           done;\
    963           if test -r $$dir/doxydoc & $$do_project = true; then \
    964             (cd $$dir ; $(MAKE) install-doxygen-docs) \
    965           fi ; \
    966         done ;
    967 
    968 uninstall-all-doxygen-docs:
    969         for dir in $(subdirs) ; do \
    970           if test -r $$dir/doxydoc ; then \
    971             (cd $$dir ; $(MAKE) uninstall-doxygen-docs) \
    972           fi ; \
    973         done ;
    974 
    975 install-doc: $(DocFiles)
     884install-doc: $(DocFiles)
    976885        test -z "$(DocInstallDir)" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)"
    977886        for file in $(DocFiles); do \
    978887          if test -f "$$file"; then dir=; else dir="$(srcdir)/"; fi; \
    979888          if test -f "$$dir$$file"; then $(INSTALL_DATA) "$$dir$$file" "$(DESTDIR)$(DocInstallDir)/$$file"; fi; \
    980         done 
     889        done
    981890
    982891uninstall-doc:
  • trunk/Couenne/configure

    r1138 r1148  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion COUENNE_SVN_REV CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED BONMIN_LIBS BONMIN_CFLAGS BONMIN_DATA BONMIN_DEPENDENCIES BONMIN_LIBS_INSTALLED BONMIN_CFLAGS_INSTALLED BONMIN_DATA_INSTALLED COUENNELIB_CFLAGS COUENNELIB_LIBS COUENNELIB_PCLIBS COUENNELIB_PCREQUIRES COUENNELIB_DEPENDENCIES COUENNELIB_CFLAGS_INSTALLED COUENNELIB_LIBS_INSTALLED COIN_HAS_BONMIN_TRUE COIN_HAS_BONMIN_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE SCIP_LIBS SCIP_CFLAGS SCIP_DATA SCIP_DEPENDENCIES SCIP_LIBS_INSTALLED SCIP_CFLAGS_INSTALLED SCIP_DATA_INSTALLED COIN_HAS_SCIP_TRUE COIN_HAS_SCIP_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE CPXINCDIR GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE coin_have_doxygen coin_have_latex coin_doxy_usedot coin_doxy_tagname coin_doxy_logname COIN_HAS_DOXYGEN_TRUE COIN_HAS_DOXYGEN_FALSE COIN_HAS_LATEX_TRUE COIN_HAS_LATEX_FALSE coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion COUENNE_SVN_REV CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED BONMIN_LIBS BONMIN_CFLAGS BONMIN_DATA BONMIN_DEPENDENCIES BONMIN_LIBS_INSTALLED BONMIN_CFLAGS_INSTALLED BONMIN_DATA_INSTALLED COUENNELIB_CFLAGS COUENNELIB_LIBS COUENNELIB_PCLIBS COUENNELIB_PCREQUIRES COUENNELIB_DEPENDENCIES COUENNELIB_CFLAGS_INSTALLED COUENNELIB_LIBS_INSTALLED COIN_HAS_BONMIN_TRUE COIN_HAS_BONMIN_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE SCIP_LIBS SCIP_CFLAGS SCIP_DATA SCIP_DEPENDENCIES SCIP_LIBS_INSTALLED SCIP_CFLAGS_INSTALLED SCIP_DATA_INSTALLED COIN_HAS_SCIP_TRUE COIN_HAS_SCIP_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE CPXINCDIR GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    2939129391fi
    2939229392
    29393 # Extract the first word of "latex", so it can be a program name with args.
    29394 set dummy latex; ac_word=$2
    29395 echo "$as_me:$LINENO: checking for $ac_word" >&5
    29396 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    29397 if test "${ac_cv_prog_coin_have_latex+set}" = set; then
    29398   echo $ECHO_N "(cached) $ECHO_C" >&6
    29399 else
    29400   if test -n "$coin_have_latex"; then
    29401   ac_cv_prog_coin_have_latex="$coin_have_latex" # Let the user override the test.
    29402 else
    29403 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    29404 for as_dir in $PATH
    29405 do
    29406   IFS=$as_save_IFS
    29407   test -z "$as_dir" && as_dir=.
    29408   for ac_exec_ext in '' $ac_executable_extensions; do
    29409   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    29410     ac_cv_prog_coin_have_latex="yes"
    29411     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    29412     break 2
    29413   fi
    29414 done
    29415 done
    29416 
    29417   test -z "$ac_cv_prog_coin_have_latex" && ac_cv_prog_coin_have_latex="no"
    29418 fi
    29419 fi
    29420 coin_have_latex=$ac_cv_prog_coin_have_latex
    29421 if test -n "$coin_have_latex"; then
    29422   echo "$as_me:$LINENO: result: $coin_have_latex" >&5
    29423 echo "${ECHO_T}$coin_have_latex" >&6
    29424 else
    29425   echo "$as_me:$LINENO: result: no" >&5
    29426 echo "${ECHO_T}no" >&6
    29427 fi
    29428 
    2942929393
    2943029394# Look for the dot tool from the graphviz package, unless the user has
     
    2949129455
    2949229456
    29493 
    29494 if test $coin_have_doxygen = yes; then
    29495   COIN_HAS_DOXYGEN_TRUE=
    29496   COIN_HAS_DOXYGEN_FALSE='#'
    29497 else
    29498   COIN_HAS_DOXYGEN_TRUE='#'
    29499   COIN_HAS_DOXYGEN_FALSE=
    29500 fi
    29501 
    29502 
    29503 
    29504 if test $coin_have_latex = yes; then
    29505   COIN_HAS_LATEX_TRUE=
    29506   COIN_HAS_LATEX_FALSE='#'
    29507 else
    29508   COIN_HAS_LATEX_TRUE='#'
    29509   COIN_HAS_LATEX_FALSE=
    29510 fi
    29511 
    29512 
    2951329457# Process the list of project names and massage them into possible doxygen
    2951429458# doc'n directories. Prefer 1) classic external, source processed using
     
    2953029474  doxytag=${lc_proj}_doxy.tag
    2953129475  doxyfound=no
    29532   # proj will be configured, hence doxydoc present in build tree
    29533   doxysrcdir="${srcdir}/../${proj}"
    29534   # AC_MSG_NOTICE([Considering $doxysrcdir (base)])
    29535   if test -d "$doxysrcdir" ; then
    29536     # with a doxydoc directory?
    29537     doxydir="$doxysrcdir/doxydoc"
    29538     # AC_MSG_NOTICE([Considering $doxydir (base)])
    29539     # AC_MSG_NOTICE([Subdirs: $coin_subdirs)])
    29540     if test -d "$doxydir" ; then
    29541       # use tag file; don't process source
    29542       doxydir="../${proj}/doxydoc"
    29543       coin_doxy_tagfiles="$coin_doxy_tagfiles $doxydir/$doxytag=../../$doxydir/html"
    29544       echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
     29476  for chkProj in $coin_subdirs ; do
     29477    if test "$chkProj" = "$proj" ; then
     29478      # proj will be configured, hence doxydoc present in build tree
     29479      doxysrcdir="${srcdir}/${proj}"
     29480      # AC_MSG_NOTICE([Considering $doxysrcdir (base)])
     29481      if test -d "$doxysrcdir" ; then
     29482        # with a doxydoc directory?
     29483        doxydir="$doxysrcdir/doxydoc"
     29484        # AC_MSG_NOTICE([Considering $doxydir (base)])
     29485        # AC_MSG_NOTICE([Subdirs: $coin_subdirs)])
     29486        if test -d "$doxydir" ; then
     29487          # use tag file; don't process source
     29488          eval doxydir="`pwd`/${proj}/doxydoc"
     29489          coin_doxy_tagfiles="$coin_doxy_tagfiles $doxydir/$doxytag=$doxydir/html"
     29490          echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
    2954529491echo "${ECHO_T}$doxydir (tag)" >&6
    29546       coin_doxy_excludes="$coin_doxy_excludes */${proj}"
    29547     else
    29548       # will process the source -- nothing further to be done here
    29549       echo "$as_me:$LINENO: result: $doxysrcdir (src)" >&5
     29492          coin_doxy_excludes="$coin_doxy_excludes */${proj}"
     29493        else
     29494          # will process the source -- nothing further to be done here
     29495          echo "$as_me:$LINENO: result: $doxysrcdir (src)" >&5
    2955029496echo "${ECHO_T}$doxysrcdir (src)" >&6
     29497        fi
     29498        doxyfound=yes
     29499      fi
    2955129500    fi
    29552     doxyfound=yes
    29553   fi
     29501  done
    2955429502  # Not built, fall back to installed tag file
    2955529503  if test $doxyfound = no ; then
     
    2992929877Usually this means the macro was only invoked conditionally." >&5
    2993029878echo "$as_me: error: conditional \"COIN_HAS_XPR\" was never defined.
    29931 Usually this means the macro was only invoked conditionally." >&2;}
    29932    { (exit 1); exit 1; }; }
    29933 fi
    29934 if test -z "${COIN_HAS_DOXYGEN_TRUE}" && test -z "${COIN_HAS_DOXYGEN_FALSE}"; then
    29935   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_DOXYGEN\" was never defined.
    29936 Usually this means the macro was only invoked conditionally." >&5
    29937 echo "$as_me: error: conditional \"COIN_HAS_DOXYGEN\" was never defined.
    29938 Usually this means the macro was only invoked conditionally." >&2;}
    29939    { (exit 1); exit 1; }; }
    29940 fi
    29941 if test -z "${COIN_HAS_LATEX_TRUE}" && test -z "${COIN_HAS_LATEX_FALSE}"; then
    29942   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_LATEX\" was never defined.
    29943 Usually this means the macro was only invoked conditionally." >&5
    29944 echo "$as_me: error: conditional \"COIN_HAS_LATEX\" was never defined.
    2994529879Usually this means the macro was only invoked conditionally." >&2;}
    2994629880   { (exit 1); exit 1; }; }
     
    3070130635s,@COIN_HAS_XPR_FALSE@,$COIN_HAS_XPR_FALSE,;t t
    3070230636s,@coin_have_doxygen@,$coin_have_doxygen,;t t
    30703 s,@coin_have_latex@,$coin_have_latex,;t t
    3070430637s,@coin_doxy_usedot@,$coin_doxy_usedot,;t t
    3070530638s,@coin_doxy_tagname@,$coin_doxy_tagname,;t t
    3070630639s,@coin_doxy_logname@,$coin_doxy_logname,;t t
    30707 s,@COIN_HAS_DOXYGEN_TRUE@,$COIN_HAS_DOXYGEN_TRUE,;t t
    30708 s,@COIN_HAS_DOXYGEN_FALSE@,$COIN_HAS_DOXYGEN_FALSE,;t t
    30709 s,@COIN_HAS_LATEX_TRUE@,$COIN_HAS_LATEX_TRUE,;t t
    30710 s,@COIN_HAS_LATEX_FALSE@,$COIN_HAS_LATEX_FALSE,;t t
    3071130640s,@coin_doxy_tagfiles@,$coin_doxy_tagfiles,;t t
    3071230641s,@coin_doxy_excludes@,$coin_doxy_excludes,;t t
  • trunk/Couenne/src/Makefile.in

    r1137 r1148  
    221221COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    222222COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    223 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    224 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    225223COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    226224COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    227 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    228 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    229225COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    230226COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     
    393389coin_doxy_usedot = @coin_doxy_usedot@
    394390coin_have_doxygen = @coin_have_doxygen@
    395 coin_have_latex = @coin_have_latex@
    396391datadir = @datadir@
    397392exec_prefix = @exec_prefix@
  • trunk/Couenne/src/bound_tightening/Makefile.in

    r1137 r1148  
    128128COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    129129COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    130 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    131 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    132130COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    133131COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    134 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    135 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    136132COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    137133COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     
    300296coin_doxy_usedot = @coin_doxy_usedot@
    301297coin_have_doxygen = @coin_have_doxygen@
    302 coin_have_latex = @coin_have_latex@
    303298datadir = @datadir@
    304299exec_prefix = @exec_prefix@
  • trunk/Couenne/src/bound_tightening/twoImpliedBT/Makefile.in

    r1137 r1148  
    122122COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    123123COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    124 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    125 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    126124COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    127125COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    128 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    129 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    130126COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    131127COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     
    294290coin_doxy_usedot = @coin_doxy_usedot@
    295291coin_have_doxygen = @coin_have_doxygen@
    296 coin_have_latex = @coin_have_latex@
    297292datadir = @datadir@
    298293exec_prefix = @exec_prefix@
  • trunk/Couenne/src/branch/Makefile.in

    r1137 r1148  
    139139COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    140140COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    141 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    142 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    143141COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    144142COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    145 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    146 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    147143COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    148144COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     
    311307coin_doxy_usedot = @coin_doxy_usedot@
    312308coin_have_doxygen = @coin_have_doxygen@
    313 coin_have_latex = @coin_have_latex@
    314309datadir = @datadir@
    315310exec_prefix = @exec_prefix@
  • trunk/Couenne/src/convex/Makefile.in

    r1137 r1148  
    123123COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    124124COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    125 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    126 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    127125COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    128126COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    129 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    130 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    131127COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    132128COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     
    295291coin_doxy_usedot = @coin_doxy_usedot@
    296292coin_have_doxygen = @coin_have_doxygen@
    297 coin_have_latex = @coin_have_latex@
    298293datadir = @datadir@
    299294exec_prefix = @exec_prefix@
  • trunk/Couenne/src/cut/crossconv/Makefile.in

    r1137 r1148  
    119119COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    120120COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    121 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    122 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    123121COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    124122COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    125 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    126 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    127123COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    128124COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     
    291287coin_doxy_usedot = @coin_doxy_usedot@
    292288coin_have_doxygen = @coin_have_doxygen@
    293 coin_have_latex = @coin_have_latex@
    294289datadir = @datadir@
    295290exec_prefix = @exec_prefix@
  • trunk/Couenne/src/cut/sdpcuts/Makefile.in

    r1137 r1148  
    120120COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    121121COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    122 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    123 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    124122COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    125123COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    126 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    127 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    128124COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    129125COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     
    292288coin_doxy_usedot = @coin_doxy_usedot@
    293289coin_have_doxygen = @coin_have_doxygen@
    294 coin_have_latex = @coin_have_latex@
    295290datadir = @datadir@
    296291exec_prefix = @exec_prefix@
  • trunk/Couenne/src/disjunctive/Makefile.in

    r1137 r1148  
    122122COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    123123COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    124 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    125 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    126124COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    127125COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    128 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    129 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    130126COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    131127COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     
    294290coin_doxy_usedot = @coin_doxy_usedot@
    295291coin_have_doxygen = @coin_have_doxygen@
    296 coin_have_latex = @coin_have_latex@
    297292datadir = @datadir@
    298293exec_prefix = @exec_prefix@
  • trunk/Couenne/src/expression/Makefile.in

    r1137 r1148  
    138138COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    139139COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    140 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    141 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    142140COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    143141COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    144 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    145 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    146142COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    147143COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     
    310306coin_doxy_usedot = @coin_doxy_usedot@
    311307coin_have_doxygen = @coin_have_doxygen@
    312 coin_have_latex = @coin_have_latex@
    313308datadir = @datadir@
    314309exec_prefix = @exec_prefix@
  • trunk/Couenne/src/heuristics/Makefile.in

    r1137 r1148  
    135135COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    136136COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    137 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    138 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    139137COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    140138COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    141 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    142 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    143139COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    144140COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     
    307303coin_doxy_usedot = @coin_doxy_usedot@
    308304coin_have_doxygen = @coin_have_doxygen@
    309 coin_have_latex = @coin_have_latex@
    310305datadir = @datadir@
    311306exec_prefix = @exec_prefix@
  • trunk/Couenne/src/interfaces/Makefile.in

    r1137 r1148  
    120120COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    121121COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    122 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    123 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    124122COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    125123COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    126 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    127 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    128124COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    129125COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     
    292288coin_doxy_usedot = @coin_doxy_usedot@
    293289coin_have_doxygen = @coin_have_doxygen@
    294 coin_have_latex = @coin_have_latex@
    295290datadir = @datadir@
    296291exec_prefix = @exec_prefix@
  • trunk/Couenne/src/main/Makefile.in

    r1137 r1148  
    124124COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    125125COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    126 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    127 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    128126COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    129127COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    130 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    131 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    132128COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    133129COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     
    296292coin_doxy_usedot = @coin_doxy_usedot@
    297293coin_have_doxygen = @coin_have_doxygen@
    298 coin_have_latex = @coin_have_latex@
    299294datadir = @datadir@
    300295exec_prefix = @exec_prefix@
  • trunk/Couenne/src/problem/Makefile.in

    r1137 r1148  
    157157COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    158158COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    159 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    160 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    161159COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    162160COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    163 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    164 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    165161COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    166162COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     
    329325coin_doxy_usedot = @coin_doxy_usedot@
    330326coin_have_doxygen = @coin_have_doxygen@
    331 coin_have_latex = @coin_have_latex@
    332327datadir = @datadir@
    333328exec_prefix = @exec_prefix@
  • trunk/Couenne/src/readnl/Makefile.in

    r1137 r1148  
    129129COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    130130COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    131 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    132 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    133131COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    134132COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    135 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    136 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    137133COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    138134COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     
    301297coin_doxy_usedot = @coin_doxy_usedot@
    302298coin_have_doxygen = @coin_have_doxygen@
    303 coin_have_latex = @coin_have_latex@
    304299datadir = @datadir@
    305300exec_prefix = @exec_prefix@
  • trunk/Couenne/src/standardize/Makefile.in

    r1137 r1148  
    122122COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    123123COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    124 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    125 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    126124COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    127125COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    128 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    129 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    130126COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    131127COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     
    294290coin_doxy_usedot = @coin_doxy_usedot@
    295291coin_have_doxygen = @coin_have_doxygen@
    296 coin_have_latex = @coin_have_latex@
    297292datadir = @datadir@
    298293exec_prefix = @exec_prefix@
  • trunk/Couenne/src/util/Makefile.in

    r1137 r1148  
    119119COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    120120COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    121 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    122 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    123121COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    124122COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    125 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    126 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    127123COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    128124COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     
    291287coin_doxy_usedot = @coin_doxy_usedot@
    292288coin_have_doxygen = @coin_have_doxygen@
    293 coin_have_latex = @coin_have_latex@
    294289datadir = @datadir@
    295290exec_prefix = @exec_prefix@
  • trunk/Couenne/test/Makefile.in

    r1137 r1148  
    102102COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    103103COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    104 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    105 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    106104COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    107105COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    108 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    109 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    110106COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    111107COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     
    274270coin_doxy_usedot = @coin_doxy_usedot@
    275271coin_have_doxygen = @coin_have_doxygen@
    276 coin_have_latex = @coin_have_latex@
    277272datadir = @datadir@
    278273exec_prefix = @exec_prefix@
  • trunk/configure

    r1103 r1148  
    11271127                          optimize for fast installation [default=yes]
    11281128  --disable-libtool-lock  avoid locking (might break parallel builds)
     1129  --disable-dependency-linking
     1130                          disable linking library dependencies into shared
     1131                          libraries
    11291132
    11301133Optional Packages:
     
    41844187
    41854188# Provide some information about the compiler.
    4186 echo "$as_me:4186:" \
     4189echo "$as_me:4189:" \
    41874190     "checking for Fortran 77 compiler version" >&5
    41884191ac_compiler=`set X $ac_compile; echo $2`
     
    46584661  enable_shared=yes;
    46594662else
    4660   # On Cygwin and AIX, building DLLs doesn't work
    46614663  case $build in
    46624664    *-cygwin* | *-mingw*)
     
    46654667        case "$CC" in
    46664668          clang* )
    4667             { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice." >&5
    4668 echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice." >&2;}
     4669            { echo "$as_me:$LINENO: WARNING: Building of DLLs not supported in this configuration." >&5
     4670echo "$as_me: WARNING: Building of DLLs not supported in this configuration." >&2;}
    46694671            ;;
    46704672          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4671             { echo "$as_me:$LINENO: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&5
    4672 echo "$as_me: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&6;}
     4673            { echo "$as_me:$LINENO: Building of DLLs not supported in this configuration." >&5
     4674echo "$as_me: Building of DLLs not supported in this configuration." >&6;}
    46734675            ;;
    46744676          *gcc*)
    4675             if test x"$enable_dependency_linking" = xyes; then
     4677            if test x"$enable_dependency_linking" = xyes; then
    46764678              coin_disable_shared=no
    46774679            else
    4678               { echo "$as_me:$LINENO: WARNING: To build shared libraries with gcc on CYGWIN or MSys, use --enable-dependency-linking" >&5
    4679 echo "$as_me: WARNING: To build shared libraries with gcc on CYGWIN or MSys, use --enable-dependency-linking" >&2;}
     4680              { echo "$as_me:$LINENO: WARNING: Dependency linking seems to be disabled, so shared libraries (DLLs) will not be built" >&5
     4681echo "$as_me: WARNING: Dependency linking seems to be disabled, so shared libraries (DLLs) will not be built" >&2;}
    46804682            fi
    46814683            ;;
    46824684          *)
    4683             { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice." >&5
    4684 echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice." >&2;}
     4685            { echo "$as_me:$LINENO: WARNING: Building of DLLs not supported in this configuration." >&5
     4686echo "$as_me: WARNING: Building of DLLs not supported in this configuration." >&2;}
    46854687            ;;
    46864688        esac
     
    46914693      platform=AIX
    46924694      if test x"$enable_shared" = xyes; then
    4693         { echo "$as_me:$LINENO: WARNING: Shared objects are not supported. I'm disabling your choice." >&5
    4694 echo "$as_me: WARNING: Shared objects are not supported. I'm disabling your choice." >&2;}
     4695        { echo "$as_me:$LINENO: WARNING: Shared objects are not supported." >&5
     4696echo "$as_me: WARNING: Shared objects are not supported." >&2;}
    46954697      fi
    46964698    ;;
     
    64096411*-*-irix6*)
    64106412  # Find out which ABI we are using.
    6411   echo '#line 6411 "configure"' > conftest.$ac_ext
     6413  echo '#line 6413 "configure"' > conftest.$ac_ext
    64126414  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    64136415  (eval $ac_compile) 2>&5
     
    83738375   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83748376   -e 's:$: $lt_compiler_flag:'`
    8375    (eval echo "\"\$as_me:8375: $lt_compile\"" >&5)
     8377   (eval echo "\"\$as_me:8377: $lt_compile\"" >&5)
    83768378   (eval "$lt_compile" 2>conftest.err)
    83778379   ac_status=$?
    83788380   cat conftest.err >&5
    8379    echo "$as_me:8379: \$? = $ac_status" >&5
     8381   echo "$as_me:8381: \$? = $ac_status" >&5
    83808382   if (exit $ac_status) && test -s "$ac_outfile"; then
    83818383     # The compiler can only warn and ignore the option if not recognized
     
    86418643   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86428644   -e 's:$: $lt_compiler_flag:'`
    8643    (eval echo "\"\$as_me:8643: $lt_compile\"" >&5)
     8645   (eval echo "\"\$as_me:8645: $lt_compile\"" >&5)
    86448646   (eval "$lt_compile" 2>conftest.err)
    86458647   ac_status=$?
    86468648   cat conftest.err >&5
    8647    echo "$as_me:8647: \$? = $ac_status" >&5
     8649   echo "$as_me:8649: \$? = $ac_status" >&5
    86488650   if (exit $ac_status) && test -s "$ac_outfile"; then
    86498651     # The compiler can only warn and ignore the option if not recognized
     
    87458747   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87468748   -e 's:$: $lt_compiler_flag:'`
    8747    (eval echo "\"\$as_me:8747: $lt_compile\"" >&5)
     8749   (eval echo "\"\$as_me:8749: $lt_compile\"" >&5)
    87488750   (eval "$lt_compile" 2>out/conftest.err)
    87498751   ac_status=$?
    87508752   cat out/conftest.err >&5
    8751    echo "$as_me:8751: \$? = $ac_status" >&5
     8753   echo "$as_me:8753: \$? = $ac_status" >&5
    87528754   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87538755   then
     
    1109011092  lt_status=$lt_dlunknown
    1109111093  cat > conftest.$ac_ext <<EOF
    11092 #line 11092 "configure"
     11094#line 11094 "configure"
    1109311095#include "confdefs.h"
    1109411096
     
    1119011192  lt_status=$lt_dlunknown
    1119111193  cat > conftest.$ac_ext <<EOF
    11192 #line 11192 "configure"
     11194#line 11194 "configure"
    1119311195#include "confdefs.h"
    1119411196
     
    1353413536   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1353513537   -e 's:$: $lt_compiler_flag:'`
    13536    (eval echo "\"\$as_me:13536: $lt_compile\"" >&5)
     13538   (eval echo "\"\$as_me:13538: $lt_compile\"" >&5)
    1353713539   (eval "$lt_compile" 2>conftest.err)
    1353813540   ac_status=$?
    1353913541   cat conftest.err >&5
    13540    echo "$as_me:13540: \$? = $ac_status" >&5
     13542   echo "$as_me:13542: \$? = $ac_status" >&5
    1354113543   if (exit $ac_status) && test -s "$ac_outfile"; then
    1354213544     # The compiler can only warn and ignore the option if not recognized
     
    1363813640   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1363913641   -e 's:$: $lt_compiler_flag:'`
    13640    (eval echo "\"\$as_me:13640: $lt_compile\"" >&5)
     13642   (eval echo "\"\$as_me:13642: $lt_compile\"" >&5)
    1364113643   (eval "$lt_compile" 2>out/conftest.err)
    1364213644   ac_status=$?
    1364313645   cat out/conftest.err >&5
    13644    echo "$as_me:13644: \$? = $ac_status" >&5
     13646   echo "$as_me:13646: \$? = $ac_status" >&5
    1364513647   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1364613648   then
     
    1520815210   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1520915211   -e 's:$: $lt_compiler_flag:'`
    15210    (eval echo "\"\$as_me:15210: $lt_compile\"" >&5)
     15212   (eval echo "\"\$as_me:15212: $lt_compile\"" >&5)
    1521115213   (eval "$lt_compile" 2>conftest.err)
    1521215214   ac_status=$?
    1521315215   cat conftest.err >&5
    15214    echo "$as_me:15214: \$? = $ac_status" >&5
     15216   echo "$as_me:15216: \$? = $ac_status" >&5
    1521515217   if (exit $ac_status) && test -s "$ac_outfile"; then
    1521615218     # The compiler can only warn and ignore the option if not recognized
     
    1531215314   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1531315315   -e 's:$: $lt_compiler_flag:'`
    15314    (eval echo "\"\$as_me:15314: $lt_compile\"" >&5)
     15316   (eval echo "\"\$as_me:15316: $lt_compile\"" >&5)
    1531515317   (eval "$lt_compile" 2>out/conftest.err)
    1531615318   ac_status=$?
    1531715319   cat out/conftest.err >&5
    15318    echo "$as_me:15318: \$? = $ac_status" >&5
     15320   echo "$as_me:15320: \$? = $ac_status" >&5
    1531915321   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1532015322   then
     
    1751917521   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1752017522   -e 's:$: $lt_compiler_flag:'`
    17521    (eval echo "\"\$as_me:17521: $lt_compile\"" >&5)
     17523   (eval echo "\"\$as_me:17523: $lt_compile\"" >&5)
    1752217524   (eval "$lt_compile" 2>conftest.err)
    1752317525   ac_status=$?
    1752417526   cat conftest.err >&5
    17525    echo "$as_me:17525: \$? = $ac_status" >&5
     17527   echo "$as_me:17527: \$? = $ac_status" >&5
    1752617528   if (exit $ac_status) && test -s "$ac_outfile"; then
    1752717529     # The compiler can only warn and ignore the option if not recognized
     
    1778717789   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1778817790   -e 's:$: $lt_compiler_flag:'`
    17789    (eval echo "\"\$as_me:17789: $lt_compile\"" >&5)
     17791   (eval echo "\"\$as_me:17791: $lt_compile\"" >&5)
    1779017792   (eval "$lt_compile" 2>conftest.err)
    1779117793   ac_status=$?
    1779217794   cat conftest.err >&5
    17793    echo "$as_me:17793: \$? = $ac_status" >&5
     17795   echo "$as_me:17795: \$? = $ac_status" >&5
    1779417796   if (exit $ac_status) && test -s "$ac_outfile"; then
    1779517797     # The compiler can only warn and ignore the option if not recognized
     
    1789117893   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1789217894   -e 's:$: $lt_compiler_flag:'`
    17893    (eval echo "\"\$as_me:17893: $lt_compile\"" >&5)
     17895   (eval echo "\"\$as_me:17895: $lt_compile\"" >&5)
    1789417896   (eval "$lt_compile" 2>out/conftest.err)
    1789517897   ac_status=$?
    1789617898   cat out/conftest.err >&5
    17897    echo "$as_me:17897: \$? = $ac_status" >&5
     17899   echo "$as_me:17899: \$? = $ac_status" >&5
    1789817900   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1789917901   then
     
    2078120783  dependency_linking="$enableval"
    2078220784else
     20785  dependency_linking=auto
     20786fi;
     20787
     20788if test "$dependency_linking" = auto; then
     20789  # On Cygwin and AIX, building DLLs doesn't work
    2078320790  dependency_linking=no
    20784 fi;
    20785 
    20786 # ToDo
    20787 # For now, don't use the -no-undefined flag, since the Makefiles are
    20788 # not yet set up that way.  But we need to fix this, when we want
    20789 # to comile DLLs under Windows.
     20791  if test x"$coin_disable_shared" = xno; then
     20792    case $build in
     20793      *-cygwin* | *-mingw*)
     20794        case "$CC" in
     20795          clang* )
     20796            dependency_linking=yes
     20797            ;;
     20798          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     20799            dependency_linking=no
     20800            ;;
     20801          *gcc*)
     20802            dependency_linking=yes
     20803            ;;
     20804          *)
     20805            dependency_linking=yes
     20806            ;;
     20807        esac
     20808        ;;
     20809      *)
     20810        dependency_linking=yes
     20811        ;;
     20812    esac
     20813  fi
     20814fi
     20815
    2079020816if test "$dependency_linking" = yes ;
    2079120817then
     
    2145021476    # If none of the files in the third argument is available, then we consider the project directory as non-existing.
    2145121477    # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
    21452      coin_has_hsl="yes"
     21478    for i in $srcdir/ThirdParty/HSL/coinhsl/common/deps.f; do
     21479         if test -r $i; then
     21480           coin_has_hsl="yes"
     21481         else
     21482           coin_has_hsl="no"
     21483           coin_reason="source file $i not available"
     21484           break
     21485         fi
     21486       done
    2145321487
    2145421488  fi
  • trunk/configure.ac

    r1103 r1148  
    4646AC_COIN_MAIN_PACKAGEDIR(Lapack,ThirdParty,[LAPACK/SRC/dlarf.f])
    4747AC_COIN_MAIN_PACKAGEDIR(Metis, ThirdParty,[metis-4.0/Lib/balance.c])
    48 AC_COIN_MAIN_PACKAGEDIR(HSL,   ThirdParty)
     48AC_COIN_MAIN_PACKAGEDIR(HSL,   ThirdParty,[coinhsl/common/deps.f])
    4949AC_COIN_MAIN_PACKAGEDIR(Mumps, ThirdParty,[MUMPS/src/dmumps_part1.F])
    5050AC_COIN_MAIN_PACKAGEDIR(SoPlex,ThirdParty,[soplex/src/soplex.h])
Note: See TracChangeset for help on using the changeset viewer.